<html>
    <head>
        <style>
            ul {
              list-style-type: none;
              margin: 0;
              padding: 0;
            }
            
            li {
              display: inline;
            }
        </style>
        <body>
            <ul>
                <li><a href="{% url 'ranking' %}">Ranking</a></li>
                <li><a href="{% url 'upload' %}">Upload</a></li>
                <li><a href="{% url 'match' %}">Matches</a></li>
            </ul>
            <h1>Match Update</h1>
            <ul id="match-list">
                {% for match in match_lists %}
                    <li>{{ match.team_1 }} vs {{ match.team_2 }} ({{ match.score_1 }} - {{ match.score_2 }})</li>
                    <form method="post" action="{% url 'update_match' match.match_id %}">
                        {% csrf_token %}
                        <input type="number" name="score_1" value="{{ match.score_1}}">
                        <input type="number" name="score_2" value="{{ match.score_2 }}">
                        <button type="submit">Update</button>
                    </form>
                {% endfor %}
        </body>
    </head>
</html>